For the complete documentation index, see llms.txt. This page is also available as Markdown.

Supported chains

get

Retrieves the supported blockchain networks from the Odos API.

Authorizations
AuthorizationstringRequired
Header parameters
AuthorizationstringRequired
  • The authorization token provided in the request header.
Responses
200

A promise that resolves to an OdosAPIResponse containing the result of the supported chains.

application/json

Represents the structure of a response from the Odos API.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

get/odos/supported-chains
GET /odos/supported-chains HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

A promise that resolves to an OdosAPIResponse containing the result of the supported chains.

{
  "success": true,
  "message": "text",
  "data": {
    "approve": null,
    "broadcasted": {
      "success": true,
      "message": "text",
      "data": "text"
    },
    "odos": null,
    "message": "text",
    "success": true,
    "user_op": "text",
    "data": null,
    "params": [],
    "function": "text",
    "transaction": {
      "data": "text",
      "value": "text",
      "to": "text",
      "from": "text",
      "gasPrice": "text",
      "gasLimit": "text",
      "nonce": 1,
      "chainId": "text",
      "maxPriorityFeePerGas": "text",
      "maxFeePerGas": "text",
      "type": 1
    }
  }
}